Page MenuHomePhabricator

Make one group1 wiki a client of testwikidata (preferably a test wiki)
Closed, ResolvedPublic

Description

So we could have a repo-client relationship with two different version numbers so we can avoid incompatibilities beforehand and avoid bugs like T182243: Fatal in AffectedPagesFinder: Call to a member function getSiteLinkChanges() on a non-object (string)

Duplicate task from 2014: T76470: have one testwiki (client) on the previous branch deployed (compared to the branch test.wikidata repo is on)

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd test2wiki as a group1 wiki
operations/mediawiki-config : masterMove testwiki2 from group0 to group1

Event Timeline

Ladsgroup created this task.Dec 7 2017, 2:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2017, 2:23 PM
thiemowmde triaged this task as High priority.Dec 7 2017, 2:34 PM
thiemowmde added subscribers: aude, Addshore.

+1 we should do this. It is an easy way to spot possible issues with wikidata related compat deployments.

These cases will never be caught by beta because of the way beta updates vs production.

Ladsgroup added a subscriber: greg.Dec 7 2017, 3:36 PM

Making test2wiki a group1 wiki won't be super hard but @greg needs to sign it off first.

I think it would be less confusing to simply make a new wiki for this specific purpose.

greg added a comment.Dec 7 2017, 7:45 PM

Which makes sense? Give me the pros/cons (not looking for an RFC :P ).

daniel added a comment.Dec 7 2017, 8:06 PM

@Addshore in which way would it be confusing? Who would be confused? What is test2wiki used for, specifically?

Adding a wiki is not as easy as it should be, so I suppose Ladsgroup is trying to avoid that trouble. If it was easy, I would also opt for a new wiki with a more descriptive name... though I can't think of one off-hand.

@greg Both make sense, but making a new wiki is more overhead. The only reason to do that is to avoid confusion, as Adam says. Not sure how bad that confusion would actually be though.

@Addshore in which way would it be confusing? Who would be confused? What is test2wiki used for, specifically?

Test2 is primarily used to trial and debug global and cross-wiki features in conjunction with https://test.wikipedia.org and https://test.wikidata.org.
Test2 has been in gorup0 for rather a long time, and if people expect that and we change it, well, confusion follows.

Adding a wiki is not as easy as it should be, so I suppose Ladsgroup is trying to avoid that trouble. If it was easy, I would also opt for a new wiki with a more descriptive name... though I can't think of one off-hand.
@greg Both make sense, but making a new wiki is more overhead. The only reason to do that is to avoid confusion, as Adam says. Not sure how bad that confusion would actually be though.

If making a new wikis is too hard then lets use something we have, but I think a new site would be the 'best' option.

daniel added a comment.Dec 7 2017, 8:12 PM

Test2 is primarily used to trial and debug global and cross-wiki features in conjunction with https://test.wikipedia.org and https://test.wikidata.org.

The point of this request is that this test should cover the situation of the two wikis not being on the same branch. If we created a new site, all the testing that happened on the old site would then need to happen on the new site as well.

Test2 is primarily used to trial and debug global and cross-wiki features in conjunction with https://test.wikipedia.org and https://test.wikidata.org.

The point of this request is that this test should cover the situation of the two wikis not being on the same branch. If we created a new site, all the testing that happened on the old site would then need to happen on the new site as well.

If you require 2 wikis to be on the new code (group0) in order to perform tests before that code gets pushed out to group 1 the following day then testwiki and test2wiki should remain in group0, I'm not saying we need that, but it seems like a thing others probably need / want.

If we move one of those wikis to group1 we risk improving the catchability of wikibase issues, but who knows what other issues could slip passed because we changed the setup for other global things.

Anyway, I don't feel too strongly either way, but I feel its a valid point :)

aude added a comment.EditedDec 8 2017, 12:57 AM

@Addshore in which way would it be confusing? Who would be confused? What is test2wiki used for, specifically?

Test2 is primarily used to trial and debug global and cross-wiki features in conjunction with https://test.wikipedia.org and https://test.wikidata.org.
Test2 has been in gorup0 for rather a long time, and if people expect that and we change it, well, confusion follows.

Adding a wiki is not as easy as it should be, so I suppose Ladsgroup is trying to avoid that trouble. If it was easy, I would also opt for a new wiki with a more descriptive name... though I can't think of one off-hand.
@greg Both make sense, but making a new wiki is more overhead. The only reason to do that is to avoid confusion, as Adam says. Not sure how bad that confusion would actually be though.

If making a new wikis is too hard then lets use something we have, but I think a new site would be the 'best' option.

I don't think creating a new wiki is too difficult.

Not sure how much use such new wiki would get though for catching bugs, unless we setup some automated browser tests or something

demon added a subscriber: demon.Dec 11 2017, 6:00 PM

We could move test2 to group1 and use that. Easiest solution, plus would get some extra traffic.

@demon I'm all for it!

greg added a comment.Dec 11 2017, 10:04 PM

Thanks @demon.

@Ladsgroup take the reins?

Change 398704 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Move testwiki2 from group0 to group1

https://gerrit.wikimedia.org/r/398704

Change 398704 merged by jenkins-bot:
[operations/mediawiki-config@master] Move testwiki2 from group0 to group1

https://gerrit.wikimedia.org/r/398704

Mentioned in SAL (#wikimedia-operations) [2018-01-04T01:50:05Z] <ladsgroup@tin> Synchronized dblists/group0.dblist: SWAT: Move testwiki2 from group0 to group1 (T182326) (duration: 01m 02s)

Addshore closed this task as Resolved.Jan 4 2018, 10:13 AM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptJan 4 2018, 10:13 AM
Addshore reassigned this task from Addshore to Ladsgroup.Jan 4 2018, 10:13 AM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 4 2018, 10:13 AM

Change 402445 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Add test2wiki as a group1 wiki

https://gerrit.wikimedia.org/r/402445

Tgr added a subscriber: Tgr.Jan 6 2018, 1:21 AM

At a glance the special uses of test2wiki are:

  • test frontend for remote file repo logic, with testwiki as the backend
  • EventLogging testbed which uses its own Schema namespace instead of meta

Neither of those seem terribly important. I seem to recall test2 serving as a login wiki for test, but that doesn't seem to be the case now.

Please don't forget to document the new state on the test2 main page.

Change 402445 merged by jenkins-bot:
[operations/mediawiki-config@master] Add test2wiki as a group1 wiki

https://gerrit.wikimedia.org/r/402445

Mentioned in SAL (#wikimedia-operations) [2018-01-08T15:03:28Z] <hashar@tin> Synchronized dblists/group1-wikipedia.dblist: Add test2wiki as a group1 wiki - T182326 (duration: 00m 50s)